//
// Created by illyum on 9/20/2024.
//

#include <pch.hpp>
#include "../Platform.hpp"
#include <windows.h>

namespace Platform {
	void ShowPopup(const char *message) {
		MessageBoxA(nullptr, message, "ICEngine", MB_OK);
	}

	void ShowPopup(const char *title, const char *message) {
		MessageBoxA(nullptr, message, title, MB_OK);
	}

	void ShowPopup(const std::string &message) {
		MessageBoxA(nullptr, message.c_str(), "ICEngine", MB_OK);
	}

	void ShowPopup(const std::string &title, const std::string &message) {
		MessageBoxA(nullptr, message.c_str(), title.c_str(), MB_OK);
	}
}
